import React from 'react'
import Button from '../../CommonComponent/ButtonComponent/ButtonComponent'
class BreakageCode extends React.Component{
    constructor(props){
         super(props)
         this.state={
             barcode:''
         }
    }

    render(){
        let {barcode}=this.state;
       return (
           <div className={'breakageContent'} style={{width:'100%',height:'100%',background:'rgba(0,0,0,1)',position:'absolute'}}>
               <div className={'breakageHeader'}>
                    <span>返回</span>
                    <span>请输入遗留货品的条形码</span>
                    <span>条形码残缺？</span>
               </div>
               <div className={'breakageCodeContent'}>
                   <p>条形码输入错误，请重新输入</p>
                   <input type="text" vlaue={barcode} onChange={(ev)=>{this.setState({barcode:ev.target.value})}}/>
                   <p>or<span>条形码扫描</span></p>
               </div>
               <Button text={'确定'} option={this.getCodeProduct.bind(this)} btnContainer={'font30 backff775c colfff'} style={{border:'0'}} />
           </div>
       )
    }
    getCodeProduct(){
        let {barcode}=this.state;
        this.props.getProductInfo(barcode)
    }
}
export default BreakageCode;